Logiciels et mises à jour se bloque et ne s’ouvre pas

Je ne parviens pas à ouvrir la fenêtre de configuration du logiciel et des mises à jour dans les parameters système. Le mieux que j’ai pu faire pour comprendre ce qui se passe est la sortie suivante après l’ouverture des parameters système depuis le terminal, puis en cliquant sur Logiciels et mises à jour:

max@Maxattax-Ubuntu:~$ sudo unity-control-center /usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py:40: PyGIWarning: Gdk was imported without specifying a version first. Use gi.require_version('Gdk', '3.0') before import to ensure that the right version gets loaded. from gi.repository import GObject, Gdk, Gtk, Gio, GLib /usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py:40: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded. from gi.repository import GObject, Gdk, Gtk, Gio, GLib Traceback (most recent call last): File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.ubuntu.SoftwareProperties': no such name During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/software-properties-gtk", line 101, in  app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file) File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 141, in __init__ proxy = bus.get_object("com.ubuntu.SoftwareProperties", "/") File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object follow_name_owner_changes=follow_name_owner_changes) File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__ self._named_service = conn.activate_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner self.start_service_by_name(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name 'su', (bus_name, flags))) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program com.ubuntu.SoftwareProperties: Permission denied 

La même erreur se produit lors de l’exécution de software-properties-gtk (car, autant que je sache, c’est la même chose).

Software Updater a eu des problèmes similaires et se bloque souvent avec cette erreur:

 max@Maxattax-Ubuntu:~$ sudo update-manager /usr/bin/update-manager:28: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded. from gi.repository import Gtk /usr/lib/python3/dist-packages/UpdateManager/UnitySupport.py:29: PyGIWarning: Dbusmenu was imported without specifying a version first. Use gi.require_version('Dbusmenu', '0.4') before import to ensure that the right version gets loaded. from gi.repository import Dbusmenu, Unity /usr/lib/python3/dist-packages/UpdateManager/UnitySupport.py:29: PyGIWarning: Unity was imported without specifying a version first. Use gi.require_version('Unity', '7.0') before import to ensure that the right version gets loaded. from gi.repository import Dbusmenu, Unity Traceback (most recent call last): File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks result = gen.send(result) File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper daemon = get_aptdaemon(self.bus) File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon False), File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object follow_name_owner_changes=follow_name_owner_changes) File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__ self._named_service = conn.activate_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner self.start_service_by_name(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name 'su', (bus_name, flags))) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied Traceback (most recent call last): File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks result = gen.send(result) File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper daemon = get_aptdaemon(self.bus) File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon False), File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object follow_name_owner_changes=follow_name_owner_changes) File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__ self._named_service = conn.activate_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner self.start_service_by_name(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name 'su', (bus_name, flags))) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied Traceback (most recent call last): File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1584, in on_error error.raise_exception() File "/usr/lib/python3/dist-packages/defer/__init__.py", line 130, in raise_exception raise self.value.with_traceback(self.traceback) File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks result = gen.send(result) File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper daemon = get_aptdaemon(self.bus) File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon False), File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object follow_name_owner_changes=follow_name_owner_changes) File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__ self._named_service = conn.activate_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner self.start_service_by_name(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name 'su', (bus_name, flags))) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied Traceback (most recent call last): File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/defer/__init__.py", line 483, in _inline_callbacks result = gen.throw(excep) File "/usr/lib/python3/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 65, in update trans = yield self.client.update_cache(defer=True) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.debian.apt: Permission denied 

Dans l’ensemble, il semble que Python et GTK vomissent un peu partout, mais je ne sais pas comment le réparer.

Divers problèmes connexes, tels que l’impossibilité d’installer des packages à partir du Centre de logiciel ou divers incidents liés à la tentative de mise à jour au démarrage.

J’ai déjà essayé de réinstaller le centre logiciel sans succès et j’ai peur d’essayer cette solution car les personnes dans les commentaires disent que c’est une mauvaise idée. Je suis venu ici après avoir trouvé un manque de réponses partout ailleurs.

Modifier:

Fait intéressant, j’ai rencontré une autre erreur très similaire dans nvidia-settings . La sortie d’erreur est indiquée ci-dessous lors d’une tentative d’enregistrement des parameters xorg.conf.

 max@Maxattax-Ubuntu:~$ sudo nvidia-settings ** Message: PRIME: No offloading required. Abort ** Message: PRIME: is it supported? no Package xorg-server was not found in the pkg-config search path. Perhaps you should add the directory containing `xorg-server.pc' to the PKG_CONFIG_PATH environment variable No package 'xorg-server' found Traceback (most recent call last): File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner return self.get_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner 's', (bus_name,), **keywords) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.ubuntu.ScreenResolution.Mechanism': no such name During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/screen-resolution-extra/nvidia-polkit.py", line 75, in  operation_status = main(options) File "/usr/share/screen-resolution-extra/nvidia-polkit.py", line 42, in main conf = get_xkit_service() File "/usr/share/screen-resolution-extra/nvidia-polkit.py", line 33, in get_xkit_service service_object = dbus.SystemBus().get_object(SERVICE_NAME, OBJECT_PATH) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object follow_name_owner_changes=follow_name_owner_changes) File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__ self._named_service = conn.activate_name_owner(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner self.start_service_by_name(bus_name) File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name 'su', (bus_name, flags))) File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking message, timeout) dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program com.ubuntu.ScreenResolution.Mechanism: Permission denied ERROR: Unable to open X config file '/etc/X11/xorg.conf' for writing. 

Et plus tard, en essayant de mettre à jour pip , je trouve cette erreur:

 max@Maxattax-Ubuntu:~$ sudo pip install --upgrade pip The directory '/home/max/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag. 

J’ai eu le même problème, Ubuntu 16.04, 64 bits et une réinstallation de tous les packages de prise en charge:

 sudo aptitude reinstall apt apt-utils aptdaemon aptdaemon-data update-manager update-manager-core dbus 

résolu le problème. À noter, une solution de contournement temporaire consistait à exécuter sudo aptd dans un autre terminal avant d’exécuter update-manager , puis update-manager pouvait se connecter à aptd via dbus.

Malheureusement, je ne peux pas déterminer quel package était le correctif précis maintenant que mon problème est résolu, mais si vous essayez de réinstaller chaque un par un, vous pouvez en rendre compte. Un certain nombre de packages sont / ont été endommagés sur mon système par une installation ayant échoué, ce qui entraîne des problèmes étranges comme celui-ci en raison de fichiers, d’permissions et de scripts manquants. La réinstallation des paquets résout ces problèmes.

J’étais sur le sharepoint réinstaller le système jusqu’à ce que je trouve la solution de davidjb.

Alors,

 sudo apt-get install aptitude 

suivi par

 sudo aptitude reinstall dbus 

résolu ce problème pour moi.

pour append mes 2 centimes: Ubuntu-Mate 16.04, installé le 15 juin 2017, toutes les mises à jour. Un problème similaire est apparu (dbus.exceptions.DBusExcept etc.), résolu par:

sudo aptitude réinstaller python-pkg-resources python3-pkg-resources

A bientôt, Valentin